implement region rotation

01/30/2014 10:17 AM - Kosack Karl

Status: New Start date: 01/30/2014

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

to implement a correct reflected-region background method, GSkyRegions must have a rotation angle implemented, so that arbitrary

regions end up in the correct orientation on the sky.

The suggested way to implement this is to add:

@

GSkyDir  m_rotation_point;

double   m_rotation_angle;

GSkyDir  transform_to_region_system( GSkyDir &dir );

 GSkyDir  transform_from_region_system( GSkyDir &dir);

 

to the base GSkyRegion class.  The transformation functions apply the rotation to any point for the current region, and should be

applied in @contains() etc., before checking if a coordinate is inside a region. This way the mathematical definition of the regions

does not need to take into account rotation. E.g. a rectangle region can be assumed to be aligned to the X-Y axis, and rotation is

taken into account by the coordinate transformation.

History

#1 - 02/17/2014 10:18 PM - Knödlseder Jürgen

- Target version set to 2nd coding sprint

#2 - 07/19/2014 02:10 AM - Knödlseder Jürgen

- Target version deleted (2nd coding sprint)

#3 - 03/11/2016 06:08 PM - Martin Pierrick

- Parent task deleted (#1044)
